unit View.ReportRequirements;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.Menus, WEBLib.ExtCtrls, WEBLib.StdCtrls,
  WEBLib.JSON, Auth.Service, XData.Web.Client, WebLib.Storage,
  ConnectionModule, App.Types, Vcl.StdCtrls, Vcl.Controls, WEBLib.DBCtrls;

type
  TFReportRequirements = class(TWebForm)
    clntReportRequirements: TXDataWebClient;
    pnlMessage: TWebPanel;
    lblMessage: TWebLabel;
    btnCloseNotification: TWebButton;
    dtpOrderDate: TWebDateTimePicker;
    dtpProofDate: TWebDateTimePicker;
    dtpShipDate: TWebDateTimePicker;
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    dtpArtDue: TWebDateTimePicker;
    dtpPlateDue: TWebDateTimePicker;
    dtpMountDue: TWebDateTimePicker;
    WebLabel3: TWebLabel;
    cbBWCopy: TWebCheckBox;
    cbColorCopy: TWebCheckBox;
    cbPlates: TWebCheckBox;
    cbDiskOrCD: TWebCheckBox;
    cbSampleCarton: TWebCheckBox;
    WebLabel4: TWebLabel;
    cbExcaliburDie: TWebCheckBox;
    WebLabel5: TWebLabel;
    cbLoose: TWebCheckBox;
    cbStickyBak: TWebCheckBox;
    cbFullMount: TWebCheckBox;
    cbStripMount: TWebCheckBox;
    WebLabel6: TWebLabel;
    WebButton1: TWebButton;
    WebLabel7: TWebLabel;
    cbFullSizePanel: TWebCheckBox;
    cbPrintCard: TWebCheckBox;
    cbWideFormat: TWebCheckBox;
    cbPDFFile: TWebCheckBox;
    cbArtApprovedAsIs: TWebCheckBox;
    dtpApprovedDate: TWebDateTimePicker;
    WebLabel8: TWebLabel;
    WebLabel9: TWebLabel;
    edtCompanyName: TWebDBEdit;
    edtCompanyAccountName: TWebDBEdit;
    edtInQuickBooks: TWebDBEdit;
    edtShipVia: TWebDBEdit;
    edtQuantity: TWebDBEdit;
    edtPrice: TWebDBEdit;
    edtInvoiceTo: TWebDBEdit;
    edtShipTo: TWebDBEdit;
    edtPONumber: TWebDBEdit;
    edtJobName: TWebDBEdit;
    edtQuickBooksItem: TWebDBEdit;
    edtArtLocation: TWebDBEdit;
    edtDimensionalLayout: TWebDBEdit;
    edtEmail: TWebDBEdit;
    edtFTP: TWebDBEdit;
    edtOther: TWebDBEdit;
    edtExistingCuttingDie: TWebDBEdit;
    edtRefArtPrintCard: TWebDBEdit;
    edtRefArtAPDF: TWebDBEdit;
    edtCADFile: TWebDBEdit;
    edtAroundNo: TWebDBEdit;
    edtAcrossNo: TWebDBEdit;
    edtDieCutNo: TWebDBEdit;
    edtRSCD: TWebDBEdit;
    edtRSCW: TWebDBEdit;
    edtRSCL: TWebDBEdit;
    edtCustomAdhesive: TWebDBEdit;
    edtCustomBacking: TWebDBEdit;
    edtStandardSetup: TWebDBEdit;
    edtStripMount: TWebDBEdit;
    edtLoose: TWebDBEdit;
    edtRSCStyle: TWebDBEdit;
    edtProofOther: TWebDBEdit;
    edtProofShipTo: TWebDBEdit;
    edtEmailAttn: TWebDBEdit;
    edtProofEmail: TWebDBEdit;
    edtFaxAttn: TWebDBEdit;
    edtFax: TWebDBEdit;
    edtClemson: TWebDBEdit;
    edtCrossHairs: TWebDBEdit;
    edtMachineIndent: TWebDBEdit;
    edtCylinderSize: TWebDBEdit;
    edtJobNumber: TWebDBEdit;
    edtPlateMaterial: TWebDBEdit;
    edtThickness: TWebDBEdit;
    procedure WebFormCreate(Sender: TObject);
    procedure HideNotification();
    procedure ShowNotification(Notification: string);
  private
    FAgencyCode: string;
    FCurrentReportType: string;
    FSelectProc: TSelectProc;
    //FJSONProc1: TJSONProc1;
  public
    class function CreateForm(AElementID, orderInfo: string): TWebForm;
  end;

var
  FReportRequirements: TFReportRequirements;

implementation

{$R *.dfm}

uses
  View.Home;

class function TFReportRequirements.CreateForm(AElementID, orderInfo: string): TWebForm;
begin
  Application.CreateForm(TFReportRequirements, AElementID, Result,
    procedure(AForm: TObject)
    begin
      with TFReportRequirements(AForm) do
      begin
        HideNotification;
      end;
    end
  );
end;

procedure TFReportRequirements.WebFormCreate(Sender: TObject);
begin
   if not DMConnection.ApiConnection.Connected then
   begin
    DMConnection.ApiConnection.OpenAsync;
    console.log('report requirements connection open')
   end;
end;

procedure TFReportRequirements.HideNotification;
begin
  pnlMessage.ElementHandle.hidden := True;
end;

procedure TFReportRequirements.ShowNotification(Notification: string);
begin
  if Notification <> '' then
  begin
    lblMessage.Caption := Notification;
    pnlMessage.ElementHandle.hidden := False;
  end;
end;


initialization
  RegisterClass(TFReportRequirements);

end.

